/* waeh!!! eek! */


var DEFAULT_SIZE_SMALL = "Small 320";

function setSimpleImage($img, $caption) {

    var photoId = $img.attr("name");
    var proxyUrl = '${ctx.contextPath}/flickr-proxy/photo-with-sizes/' + photoId;
    $.getJSON(proxyUrl)
        .done(function (res) {


            var photo = res.foo.photo;
            var sizes = res.bar.sizes;
            var sourceSmall =  getUrlForSize(sizes,DEFAULT_SIZE_SMALL);

            if("undefined"!=sourceSmall){
                //var imgSrc = "http://farm" + photo.farm + ".static.flickr.com/" + photo.server + "/" + photo.id + "_" + photo.secret + "_m.jpg";
                var title = (photo.title._content && photo.title._content.length > 0) ? photo.title._content : photo.id._content;
                var desc = (photo.description._content && photo.description._content.length > 0) ? photo.description._content : "";

                // adapt image
                $img.attr("src", sourceSmall);
                $img.attr("alt", title);

                // caption
                var span = document.createElement("span");
                $(span).text("<< " + title + " >>");
                $caption.append(span);

                if ("" != desc) {
                    $caption.append(document.createElement("br"));
                    span = document.createElement("span");
                    $(span).text(desc);
                    $caption.append(span);
                }
            }


        })
        .fail(function (jqxhr, textStatus, error) {
            var err = textStatus + ", " + error;
            console.log("Request Failed: " + err);
        });
}

function getUrlForSize(sizes, desiredSize){
    var result = "undefined";
    //console.log("sizes.size = "+sizes.size);
    if(desiredSize){
        for(var i = 0; i < sizes.size.length; i++) {
            var obj = sizes.size[i];
            //console.log(obj);
            if(obj.label==desiredSize){
                return obj.source;
            }
        }
    }
    return result;
}





